StatsHub Docs
APIEndpoint referenceMCP

/mcp

MCP serves the endpoint.

POST
/api/v2/mcp

MCP serves the endpoint.

Authorization

mcpBearer
AuthorizationBearer <token>

MCP_API_KEY when MCP authentication is configured.

In: header

Header Parameters

User-Agent?string
Authorization?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/api/v2/mcp" \  -H "Content-Type: application/json" \  -d '{    "id": null,    "method": "string",    "params": null  }'
{  "$schema": "https://example.com/schemas/MCPPostOKBody.json",  "authRequired": true,  "description": "string",  "documentation": "string",  "endpoints": {    "property1": null,    "property2": null  },  "id": null,  "jsonrpc": "string",  "name": "string",  "protocol": "string",  "protocolVersion": "string",  "result": null,  "tools": 0,  "version": "string"}